#include<stdlib.h>
#include<stdio.h>
#include<string.h>


int main(int argc, char** argv){
  FILE* fichierScr = NULL;
  FILE* fichierDes = NULL;
  char caractere[2];
  int arg=0;
  if (argc > 2){
    fichierDes = fopen(argv[2],"w");
    fichierScr = fopen(argv[1],"r");
    if (fichierScr){
      if (fichierDes){
	while (fread(caractere,sizeof(char),1,fichierScr)!=0){
	  fwrite(caractere,sizeof(char),1,fichierDes);
	}
	return 0;
      }
	printf("%s n'existe pas ou ne peut pas s'ouvrir\n",argv[2]);
	return 1;
    }
      printf("%s n'existe pas ou ne peut pas s'ouvrir\n",argv[1]);
      return 1;
  }
    printf("Utilisation: argv[0] <fichier_source> <fichier_destination>\n");
    return 0;
}

